<?xml version='1.0' encoding='UTF-8'?>
<units size='2'>
  <unit id='org.adempiere.base' version='11.0.0.202412231130' generation='2'>
    <update id='org.adempiere.base' range='[0.0.0,11.0.0.202412231130)' severity='0'/>
    <properties size='6'>
      <property name='org.eclipse.equinox.p2.name' value='iDempiere Core'/>
      <property name='org.eclipse.equinox.p2.provider' value='iDempiere Community'/>
      <property name='maven-groupId' value='org.idempiere'/>
      <property name='maven-artifactId' value='org.adempiere.base'/>
      <property name='maven-version' value='11.0.0-SNAPSHOT'/>
      <property name='maven-type' value='eclipse-plugin'/>
    </properties>
    <provides size='62'>
      <provided namespace='org.eclipse.equinox.p2.iu' name='org.adempiere.base' version='11.0.0.202412231130'/>
      <provided namespace='osgi.bundle' name='org.adempiere.base' version='11.0.0.202412231130'/>
      <provided namespace='java.package' name='bsh' version='0.0.0'/>
      <provided namespace='java.package' name='bsh.classpath' version='0.0.0'/>
      <provided namespace='java.package' name='bsh.collection' version='0.0.0'/>
      <provided namespace='java.package' name='bsh.commands' version='0.0.0'/>
      <provided namespace='java.package' name='bsh.engine' version='0.0.0'/>
      <provided namespace='java.package' name='bsh.org.objectweb.asm' version='0.0.0'/>
      <provided namespace='java.package' name='bsh.reflect' version='0.0.0'/>
      <provided namespace='java.package' name='bsh.servlet' version='0.0.0'/>
      <provided namespace='java.package' name='bsh.util' version='0.0.0'/>
      <provided namespace='java.package' name='com.akunagroup.uk.postcode' version='0.0.0'/>
      <provided namespace='java.package' name='it.sauronsoftware.cron4j' version='0.0.0'/>
      <provided namespace='java.package' name='org.adempiere.apps.graph' version='0.0.0'/>
      <provided namespace='java.package' name='org.adempiere.base' version='0.0.0'/>
      <provided namespace='java.package' name='org.adempiere.base.annotation' version='0.0.0'/>
      <provided namespace='java.package' name='org.adempiere.base.ds' version='0.0.0'/>
      <provided namespace='java.package' name='org.adempiere.base.equinox' version='0.0.0'/>
      <provided namespace='java.package' name='org.adempiere.base.event' version='0.0.0'/>
      <provided namespace='java.package' name='org.adempiere.base.event.annotations' version='0.0.0'/>
      <provided namespace='java.package' name='org.adempiere.base.event.annotations.doc' version='0.0.0'/>
      <provided namespace='java.package' name='org.adempiere.base.event.annotations.imp' version='0.0.0'/>
      <provided namespace='java.package' name='org.adempiere.base.event.annotations.po' version='0.0.0'/>
      <provided namespace='java.package' name='org.adempiere.base.event.annotations.process' version='0.0.0'/>
      <provided namespace='java.package' name='org.adempiere.base.sso' version='0.0.0'/>
      <provided namespace='java.package' name='org.adempiere.base.upload' version='0.0.0'/>
      <provided namespace='java.package' name='org.adempiere.exceptions' version='0.0.0'/>
      <provided namespace='java.package' name='org.adempiere.impexp' version='0.0.0'/>
      <provided namespace='java.package' name='org.adempiere.model' version='0.0.0'/>
      <provided namespace='java.package' name='org.adempiere.pdf' version='0.0.0'/>
      <provided namespace='java.package' name='org.adempiere.print.export' version='0.0.0'/>
      <provided namespace='java.package' name='org.adempiere.process' version='0.0.0'/>
      <provided namespace='java.package' name='org.adempiere.util' version='0.0.0'/>
      <provided namespace='java.package' name='org.compiere' version='0.0.0'/>
      <provided namespace='java.package' name='org.compiere.acct' version='0.0.0'/>
      <provided namespace='java.package' name='org.compiere.db' version='0.0.0'/>
      <provided namespace='java.package' name='org.compiere.db.partition' version='0.0.0'/>
      <provided namespace='java.package' name='org.compiere.dbPort' version='0.0.0'/>
      <provided namespace='java.package' name='org.compiere.impexp' version='0.0.0'/>
      <provided namespace='java.package' name='org.compiere.install' version='0.0.0'/>
      <provided namespace='java.package' name='org.compiere.model' version='0.0.0'/>
      <provided namespace='java.package' name='org.compiere.print' version='0.0.0'/>
      <provided namespace='java.package' name='org.compiere.print.layout' version='0.0.0'/>
      <provided namespace='java.package' name='org.compiere.process' version='0.0.0'/>
      <provided namespace='java.package' name='org.compiere.report' version='0.0.0'/>
      <provided namespace='java.package' name='org.compiere.report.core' version='0.0.0'/>
      <provided namespace='java.package' name='org.compiere.sla' version='0.0.0'/>
      <provided namespace='java.package' name='org.compiere.tools' version='0.0.0'/>
      <provided namespace='java.package' name='org.compiere.util' version='0.0.0'/>
      <provided namespace='java.package' name='org.compiere.wf' version='0.0.0'/>
      <provided namespace='java.package' name='org.eevolution.model' version='0.0.0'/>
      <provided namespace='java.package' name='org.idempiere.broadcast' version='0.0.0'/>
      <provided namespace='java.package' name='org.idempiere.cache' version='0.0.0'/>
      <provided namespace='java.package' name='org.idempiere.distributed' version='0.0.0'/>
      <provided namespace='java.package' name='org.idempiere.expression.logic' version='0.0.0'/>
      <provided namespace='java.package' name='org.idempiere.fa.service.api' version='0.0.0'/>
      <provided namespace='java.package' name='org.idempiere.model' version='0.0.0'/>
      <provided namespace='java.package' name='org.idempiere.print' version='0.0.0'/>
      <provided namespace='java.package' name='org.idempiere.print.renderer' version='0.0.0'/>
      <provided namespace='java.package' name='org.idempiere.process' version='0.0.0'/>
      <provided namespace='osgi.identity' name='org.adempiere.base' version='11.0.0.202412231130'>
        <properties size='1'>
          <property name='type' value='osgi.bundle'/>
        </properties>
      </provided>
      <provided namespace='org.eclipse.equinox.p2.eclipse.type' name='bundle' version='1.0.0'/>
    </provides>
    <requires size='106'>
      <required namespace='osgi.bundle' name='org.eclipse.equinox.app' range='0.0.0'/>
      <required namespace='osgi.bundle' name='org.passay' range='0.0.0'/>
      <required namespace='osgi.bundle' name='org.cryptacular' range='0.0.0'/>
      <required namespace='osgi.bundle' name='net.sf.supercsv.super-csv' range='0.0.0'/>
      <required namespace='osgi.bundle' name='bcprov' range='1.72.0'/>
      <required namespace='osgi.bundle' name='org.krysalis.barcode4j' range='0.0.0'/>
      <required namespace='osgi.bundle' name='groovy' range='0.0.0'/>
      <required namespace='osgi.bundle' name='com.sun.activation.jakarta.activation' range='1.2.1'/>
      <required namespace='osgi.bundle' name='org.apache.commons.commons-compress' range='1.21.0'/>
      <required namespace='osgi.bundle' name='com.google.gson' range='2.9.0'/>
      <required namespace='osgi.bundle' name='com.google.http-client.google-http-client' range='1.39.2'/>
      <required namespace='osgi.bundle' name='com.google.oauth-client' range='1.31.4'/>
      <required namespace='osgi.bundle' name='org.apache.httpcomponents.httpclient' range='4.5.10'/>
      <required namespace='osgi.bundle' name='org.apache.httpcomponents.httpcore' range='4.4.12'/>
      <required namespace='osgi.bundle' name='com.google.guava' range='30.1.1'/>
      <required namespace='osgi.bundle' name='com.github.librepdf.openpdf' range='1.3.39'/>
      <required namespace='osgi.bundle' name='com.github.librepdf.openpdf-fonts-extra' range='1.3.39'/>
      <required namespace='osgi.bundle' name='wrapped.org.apache.poi.poi' range='5.2.2'/>
      <required namespace='osgi.bundle' name='wrapped.org.apache.poi.poi-ooxml' range='5.2.2'/>
      <required namespace='osgi.bundle' name='wrapped.org.jfree.jcommon' range='1.0.24'/>
      <required namespace='osgi.bundle' name='wrapped.org.jfree.jfreechart' range='[1.0.19,1.0.19]'/>
      <required namespace='osgi.bundle' name='wrapped.com.google.http-client.google-http-client-gson' range='1.39.2'/>
      <required namespace='osgi.bundle' name='wrapped.com.google.zxing.javase' range='3.4.1'/>
      <required namespace='osgi.bundle' name='wrapped.dev.samstevens.totp.totp' range='1.7.1'/>
      <required namespace='osgi.bundle' name='wrapped.org.apache.poi.poi-ooxml-lite' range='5.2.2'/>
      <required namespace='osgi.bundle' name='org.apache.logging.log4j.api' range='2.17.2'/>
      <required namespace='osgi.bundle' name='org.apache.logging.log4j.to-slf4j' range='2.17.2'/>
      <required namespace='java.package' name='com.google.zxing' range='0.0.0'/>
      <required namespace='java.package' name='com.google.zxing.qrcode.decoder' range='0.0.0'/>
      <required namespace='java.package' name='com.google.zxing.qrcode.encoder' range='0.0.0'/>
      <required namespace='java.package' name='com.sun.mail.smtp' range='1.5.0'/>
      <required namespace='java.package' name='io.github.classgraph' range='4.8.138'/>
      <required namespace='java.package' name='io.grpc' range='1.27.0'/>
      <required namespace='java.package' name='io.opencensus.common' range='0.28.0'/>
      <required namespace='java.package' name='io.opencensus.contrib.http' range='0.28.0'/>
      <required namespace='java.package' name='io.opencensus.contrib.http.util' range='0.28.0'/>
      <required namespace='java.package' name='io.opencensus.internal' range='0.28.0'/>
      <required namespace='java.package' name='io.opencensus.metrics' range='0.28.0'/>
      <required namespace='java.package' name='io.opencensus.metrics.data' range='0.28.0'/>
      <required namespace='java.package' name='io.opencensus.metrics.export' range='0.28.0'/>
      <required namespace='java.package' name='io.opencensus.resource' range='0.28.0'/>
      <required namespace='java.package' name='io.opencensus.stats' range='0.28.0'/>
      <required namespace='java.package' name='io.opencensus.tags' range='0.28.0'/>
      <required namespace='java.package' name='io.opencensus.tags.propagation' range='0.28.0'/>
      <required namespace='java.package' name='io.opencensus.tags.unsafe' range='0.28.0'/>
      <required namespace='java.package' name='io.opencensus.trace' range='0.28.0'/>
      <required namespace='java.package' name='io.opencensus.trace.config' range='0.28.0'/>
      <required namespace='java.package' name='io.opencensus.trace.export' range='0.28.0'/>
      <required namespace='java.package' name='io.opencensus.trace.internal' range='0.28.0'/>
      <required namespace='java.package' name='io.opencensus.trace.propagation' range='0.28.0'/>
      <required namespace='java.package' name='io.opencensus.trace.samplers' range='0.28.0'/>
      <required namespace='java.package' name='io.opencensus.trace.unsafe' range='0.28.0'/>
      <required namespace='java.package' name='javax.jms' range='1.1.0'/>
      <required namespace='java.package' name='javax.mail' range='1.5.0'/>
      <required namespace='java.package' name='javax.mail.internet' range='1.5.0'/>
      <required namespace='java.package' name='javax.servlet' range='3.0.0'/>
      <required namespace='java.package' name='javax.servlet.http' range='3.0.0'/>
      <required namespace='java.package' name='javax.xml.bind' range='2.3.0'/>
      <required namespace='java.package' name='net.sf.cglib.proxy' range='0.0.0'/>
      <required namespace='java.package' name='net.sourceforge.barbecue' range='0.0.0'/>
      <required namespace='java.package' name='net.sourceforge.barbecue.linear.ean' range='0.0.0'/>
      <required namespace='java.package' name='org.antlr.v4.runtime' range='4.9.2'/>
      <required namespace='java.package' name='org.antlr.v4.runtime.atn' range='4.9.2'/>
      <required namespace='java.package' name='org.antlr.v4.runtime.dfa' range='4.9.2'/>
      <required namespace='java.package' name='org.antlr.v4.runtime.misc' range='4.9.2'/>
      <required namespace='java.package' name='org.antlr.v4.runtime.tree' range='4.9.2'/>
      <required namespace='java.package' name='org.antlr.v4.runtime.tree.pattern' range='4.9.2'/>
      <required namespace='java.package' name='org.antlr.v4.runtime.tree.xpath' range='4.9.2'/>
      <required namespace='java.package' name='org.apache.activemq' range='5.3.0'/>
      <required namespace='java.package' name='org.apache.commons.collections' range='3.2.2'/>
      <required namespace='java.package' name='org.apache.commons.collections.keyvalue' range='3.2.2'/>
      <required namespace='java.package' name='org.apache.commons.collections4' range='4.4.0'/>
      <required namespace='java.package' name='org.apache.commons.net' range='2.0.0'/>
      <required namespace='java.package' name='org.apache.commons.net.ftp' range='0.0.0'/>
      <required namespace='java.package' name='org.apache.ecs' range='0.0.0'/>
      <required namespace='java.package' name='org.apache.ecs.xhtml' range='0.0.0'/>
      <required namespace='java.package' name='org.apache.felix.scr.component' range='1.1.0'/>
      <required namespace='java.package' name='org.apache.felix.scr.info' range='1.0.0'/>
      <required namespace='java.package' name='org.apache.tools.ant' range='0.0.0'/>
      <required namespace='java.package' name='org.apache.tools.ant.taskdefs' range='0.0.0'/>
      <required namespace='java.package' name='org.eclipse.core.runtime' range='3.4.0'/>
      <required namespace='java.package' name='org.eclipse.osgi.framework.console' range='1.1.0'/>
      <required namespace='java.package' name='org.eclipse.osgi.service.datalocation' range='0.0.0'/>
      <required namespace='java.package' name='org.jfree.chart' range='[1.0.19,1.0.19]'/>
      <required namespace='java.package' name='org.jfree.chart.axis' range='[1.0.19,1.0.19]'/>
      <required namespace='java.package' name='org.jfree.chart.plot' range='[1.0.19,1.0.19]'/>
      <required namespace='java.package' name='org.jfree.chart.renderer.category' range='[1.0.19,1.0.19]'/>
      <required namespace='java.package' name='org.jfree.data.category' range='[1.0.19,1.0.19]'/>
      <required namespace='java.package' name='org.jfree.data.general' range='[1.0.19,1.0.19]'/>
      <required namespace='java.package' name='org.jfree.data.time' range='[1.0.19,1.0.19]'/>
      <required namespace='java.package' name='org.jfree.data.xy' range='[1.0.19,1.0.19]'/>
      <required namespace='java.package' name='org.krysalis.barcode4j' range='2.1.0'/>
      <required namespace='java.package' name='org.krysalis.barcode4j.impl' range='2.1.0'/>
      <required namespace='java.package' name='org.krysalis.barcode4j.impl.upcean' range='2.1.0'/>
      <required namespace='java.package' name='org.krysalis.barcode4j.output.bitmap' range='2.1.0'/>
      <required namespace='java.package' name='org.osgi.framework' range='0.0.0'/>
      <required namespace='java.package' name='org.osgi.framework.wiring' range='1.2.0'/>
      <required namespace='java.package' name='org.osgi.service.cm' range='1.3.0'/>
      <required namespace='java.package' name='org.osgi.service.component' range='1.1.0'/>
      <required namespace='java.package' name='org.osgi.service.component.annotations' range='1.3.0'/>
      <required namespace='java.package' name='org.osgi.service.component.runtime' range='1.3.0'/>
      <required namespace='java.package' name='org.osgi.service.component.runtime.dto' range='1.3.0'/>
      <required namespace='java.package' name='org.osgi.service.event' range='1.2.0'/>
      <required namespace='java.package' name='org.osgi.util.promise' range='1.0.0'/>
      <required namespace='java.package' name='org.osgi.util.tracker' range='1.5.0'/>
      <requiredProperties namespace='osgi.ee' match='(&amp;(osgi.ee=JavaSE)(version&gt;=17))'>
        <description>
          org.adempiere.base
        </description>
      </requiredProperties>
    </requires>
    <artifacts size='1'>
      <artifact classifier='osgi.bundle' id='org.adempiere.base' version='11.0.0.202412231130'/>
    </artifacts>
    <touchpoint id='org.eclipse.equinox.p2.osgi' version='1.0.0'/>
    <touchpointData size='1'>
      <instructions size='1'>
        <instruction key='manifest'>
          Bundle-SymbolicName: org.adempiere.base;singleton:=true&#xA;Bundle-Version: 11.0.0.202412231130&#xA;
        </instruction>
      </instructions>
    </touchpointData>
  </unit>
  <unit id='org.adempiere.base.source' version='11.0.0.202412231130' singleton='false'>
    <update id='org.adempiere.base.source' range='[0.0.0,11.0.0.202412231130)' severity='0'/>
    <properties size='10'>
      <property name='df_LT.bundleVendor' value='iDempiere Community'/>
      <property name='df_LT.bundleName' value='iDempiere Core Source'/>
      <property name='org.eclipse.equinox.p2.name' value='%bundleName'/>
      <property name='org.eclipse.equinox.p2.provider' value='%bundleVendor'/>
      <property name='org.eclipse.equinox.p2.bundle.localization' value='OSGI-INF/l10n/bundle-src'/>
      <property name='maven-groupId' value='org.idempiere'/>
      <property name='maven-artifactId' value='org.adempiere.base'/>
      <property name='maven-version' value='11.0.0-SNAPSHOT'/>
      <property name='maven-classifier' value='sources'/>
      <property name='maven-type' value='java-source'/>
    </properties>
    <provides size='5'>
      <provided namespace='org.eclipse.equinox.p2.iu' name='org.adempiere.base.source' version='11.0.0.202412231130'/>
      <provided namespace='osgi.bundle' name='org.adempiere.base.source' version='11.0.0.202412231130'/>
      <provided namespace='osgi.identity' name='org.adempiere.base.source' version='11.0.0.202412231130'>
        <properties size='1'>
          <property name='type' value='osgi.bundle'/>
        </properties>
      </provided>
      <provided namespace='org.eclipse.equinox.p2.eclipse.type' name='source' version='1.0.0'/>
      <provided namespace='org.eclipse.equinox.p2.localization' name='df_LT' version='1.0.0'/>
    </provides>
    <artifacts size='1'>
      <artifact classifier='osgi.bundle' id='org.adempiere.base.source' version='11.0.0.202412231130'/>
    </artifacts>
    <touchpoint id='org.eclipse.equinox.p2.osgi' version='1.0.0'/>
    <touchpointData size='1'>
      <instructions size='1'>
        <instruction key='manifest'>
          Bundle-SymbolicName: org.adempiere.base.source&#xA;Bundle-Version: 11.0.0.202412231130&#xA;
        </instruction>
      </instructions>
    </touchpointData>
  </unit>
</units>
